//===----------------- PassTemplate_Fer - Pass template ------------------===//
//
//                     The LLVM Compiler Infrastructure
//
// This is a template to use when necessary to develope new passes.
//
//===---------------------------------------------------------------------===//
//
// PassTemplate is a file that should be used as a model for the implementation
// of new passes.
//
//===---------------------------------------------------------------------===//


#ifndef TEST_PASS_H
#define TEST_PASS_H

#include "llvm/Pass.h"

namespace llvm {

    class PassTemplate_Fer : public MachineFunctionPass {

        public:
 
        // This method specifies which other passes are required, or are
        // modified by this pass.
        virtual void getAnalysisUsage(AnalysisUsage & AU) const {
            AU.setPreservesAll();
        }
  
        private:

        // Add any processing in this function, on the .cpp file.
        virtual bool runOnMachineFunction(MachineFunction &mf);
 
    };

}

#endif
